
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Installation instructions &#8212; seg_compare 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="nav-item nav-item-0"><a href="index.html">seg_compare 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Installation instructions</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="tex2jax_ignore mathjax_ignore section" id="installation-instructions">
<h1>Installation instructions<a class="headerlink" href="#installation-instructions" title="Permalink to this headline">¶</a></h1>
<p>In this section you will find instructions to install the environments for running the different segmentation pipelines. The pipelines often use different Python and library versions and therefore in order to avoid conflict during execution, separate environments should be used. The environments can be setup using the yaml files whose links are provided. The yaml files may be used for:</p>
<ul class="simple">
<li><p>Installing segmentation pipeline environments</p></li>
<li><p>Installing evaluation and visualization environment</p></li>
</ul>
<div class="section" id="pre-requisite">
<h2>Pre-requisite<a class="headerlink" href="#pre-requisite" title="Permalink to this headline">¶</a></h2>
<p>All the segmentation pipelines and evaluation/visualization methods are implemented using Python 3.x . So first you will need to install an <a href="https://docs.anaconda.com/anaconda/install/">  anaconda distribution </a>  suitable for your OS.</p>
</div>
<div class="section" id="segmentation-pipeline-plantseg">
<h2>Segmentation pipeline: PlantSeg<a class="headerlink" href="#segmentation-pipeline-plantseg" title="Permalink to this headline">¶</a></h2>
<p>Create and activate a new environment as follows:</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">create</span> <span class="pre">-n</span> <span class="pre">3dunet</span> <span class="pre">-c</span> <span class="pre">conda-forge</span> <span class="pre">-c</span> <span class="pre">awolny</span> <span class="pre">pytorch-3dunet</span></code></p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">activate</span> <span class="pre">3dunet</span></code></p>
<p>For training the Plantseg pipeline, set the command in the 3dunet environment:</p>
<p><code class="docutils literal notranslate"><span class="pre">train3dunet</span> <span class="pre">--config</span> <span class="pre">&lt;PATH</span> <span class="pre">TO</span> <span class="pre">CONFIG</span> <span class="pre">YAML</span> <span class="pre">FILE&gt;</span></code></p>
<p>A sample yaml file for training is given here: <a href="https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/doc/environments/plantseg_train.yaml">  https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/doc/environments/plantseg_train.yaml </a></p>
</div>
<div class="section" id="segmentation-pipeline-mars-3d-watershed">
<h2>Segmentation pipeline: MARS (3D Watershed)<a class="headerlink" href="#segmentation-pipeline-mars-3d-watershed" title="Permalink to this headline">¶</a></h2>
<p>Create and activate a new environment as follows:</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">env</span> <span class="pre">create</span> <span class="pre">--name</span> <span class="pre">mars</span> <span class="pre">--file=mars_env.yaml</span></code></p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">activate</span> <span class="pre">mars</span></code></p>
<p>The <code class="docutils literal notranslate"><span class="pre">mars_env.yml</span></code> file may be found here:<a href="https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/doc/environments/mars_env.yaml">  https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/doc/environments/mars_env.yaml </a></p>
<p>You can now go to the MARS segmentation pipeline.</p>
</div>
<div class="section" id="segmentation-pipeline-3d-unet-with-watershed">
<h2>Segmentation pipeline: 3D UNet with Watershed<a class="headerlink" href="#segmentation-pipeline-3d-unet-with-watershed" title="Permalink to this headline">¶</a></h2>
<p>Create and activate a new environment as follows:</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">create</span> <span class="pre">-n</span> <span class="pre">unet_ws</span> <span class="pre">python=3.6</span> <span class="pre">anaconda</span></code></p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">activate</span> <span class="pre">unet_ws</span></code></p>
<p>Clone the ISBI2019 branch at https://bitbucket.org/jstegmaier/cellsegmentation/src/ISBI2019/</p>
<p><code class="docutils literal notranslate"><span class="pre">git</span> <span class="pre">clone</span> <span class="pre">-b</span> <span class="pre">ISBI2019</span> <span class="pre">https://bitbucket.org/jstegmaier/cellsegmentation.git</span></code></p>
<p>Install pip
<code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">install</span> <span class="pre">-c</span> <span class="pre">anaconda</span> <span class="pre">pip</span></code></p>
<p>Navigate inside the folder <code class="docutils literal notranslate"><span class="pre">cellsegmentation</span></code> and install the dependencies using:</p>
<p><code class="docutils literal notranslate"><span class="pre">pip</span> <span class="pre">install</span> <span class="pre">-r</span> <span class="pre">requirements.txt</span></code></p>
<p>The current versions of the libraries is given here:<a href="https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/doc/environments/requirements.md">  https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/doc/environments/requirements.md </a></p>
<p>After the library installations, go to the data preparation and training step. Training command is to be run within this environment. After the training and prediction from the Unet, the final step is Watershed based post processing of Unet outputs.</p>
<p>For post processing of Unet outputs the MARS environment maybe used. Instructions to install it are given above.</p>
<p>To run MARS 3D watershed first deactivate the unet_ws environment with</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">deactivate</span></code></p>
<p>Then activate MARS environment with:</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">activate</span> <span class="pre">mars</span></code></p>
<p>You can then go to the final watershed based post processing part for getting 3D segmentations.</p>
</div>
<div class="section" id="segmentation-pipeline-cellpose">
<h2>Segmentation pipeline: Cellpose<a class="headerlink" href="#segmentation-pipeline-cellpose" title="Permalink to this headline">¶</a></h2>
<p>Clone the Cellpose repository at  https://github.com/MouseLand/cellpose</p>
<p><code class="docutils literal notranslate"><span class="pre">git</span> <span class="pre">clone</span> <span class="pre">https://github.com/MouseLand/cellpose.git</span></code></p>
<p>Navigate to the repository and create a new Conda environment as follows:</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">env</span> <span class="pre">create</span> <span class="pre">-f</span> <span class="pre">cellpose_environment.yml</span></code></p>
<p>The <code class="docutils literal notranslate"><span class="pre">cellpose_environment.yaml</span></code> file may be found here: <a href="https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/doc/environments/cellpose_environment.yaml">  https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/doc/environments/cellpose_environment.yaml </a></p>
<p>Activate the environment using:</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">activate</span> <span class="pre">cellpose</span></code></p>
<p>To install the GPU version of MKL library use :</p>
<p><code class="docutils literal notranslate"><span class="pre">pip</span> <span class="pre">install</span> <span class="pre">mxnet-cu101==version</span></code></p>
<p>To check the mkl version required for your computer see here:</p>
<p><code class="docutils literal notranslate"><span class="pre">https://mxnet.apache.org/versions/1.7.0/get_started?</span></code></p>
<p>You can then move on to the training part.</p>
</div>
<div class="section" id="segmentation-pipeline-mask-rcnn-with-watershed">
<h2>Segmentation pipeline: Mask RCNN with Watershed<a class="headerlink" href="#segmentation-pipeline-mask-rcnn-with-watershed" title="Permalink to this headline">¶</a></h2>
<p>Clone the MaskRCNN repository at  https://github.com/matterport/Mask_RCNN</p>
<p><code class="docutils literal notranslate"><span class="pre">git</span> <span class="pre">clone</span> <span class="pre">https://github.com/matterport/Mask_RCNN.git</span></code></p>
<p>Navigate to the Mask_RCNN folder and save the <code class="docutils literal notranslate"><span class="pre">mrcnn_env.yaml</span></code> file inside the folder.</p>
<p>The <code class="docutils literal notranslate"><span class="pre">mrcnn_env.yml</span></code> file may be found here:<a href="https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/doc/environments/mrcnn_env.yaml">  https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/doc/environments/mrcnn_env.yaml </a></p>
<p>Create a new Conda environment as follows:</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">env</span> <span class="pre">create</span> <span class="pre">-f</span> <span class="pre">mrcnn_env.yaml</span></code></p>
<p>Within the Mask_RCNN folder, create a folder named <code class="docutils literal notranslate"><span class="pre">datasets</span></code>.</p>
<p>Copy the MRCNN training dataset into this folder. For link to a sample training dataset go to Datasets section.</p>
<p>Download pre-trained COCO weights (mask_rcnn_coco.h5) from: https://github.com/matterport/Mask_RCNN/releases</p>
<p>Copy mask_rcnn_coco.h5 to Mask_RCNN folder .</p>
<p>You can now go to the training part. The watershed based post processing may be done within this environment only.</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Installation instructions</a><ul>
<li><a class="reference internal" href="#pre-requisite">Pre-requisite</a></li>
<li><a class="reference internal" href="#segmentation-pipeline-plantseg">Segmentation pipeline: PlantSeg</a></li>
<li><a class="reference internal" href="#segmentation-pipeline-mars-3d-watershed">Segmentation pipeline: MARS (3D Watershed)</a></li>
<li><a class="reference internal" href="#segmentation-pipeline-3d-unet-with-watershed">Segmentation pipeline: 3D UNet with Watershed</a></li>
<li><a class="reference internal" href="#segmentation-pipeline-cellpose">Segmentation pipeline: Cellpose</a></li>
<li><a class="reference internal" href="#segmentation-pipeline-mask-rcnn-with-watershed">Segmentation pipeline: Mask RCNN with Watershed</a></li>
</ul>
</li>
</ul>

  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/install.md.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="nav-item nav-item-0"><a href="index.html">seg_compare 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Installation instructions</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Anuradha Kar.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 3.2.1.
    </div>
  </body>
</html>